Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
namnhim

[Xin giúp chỉnh sửa] Lisp xuất tọa độ

Các bài được khuyến nghị

hadeptrai    1

bạn dùng list này nhé:

 

;-----------------***********ChuyÓn Cao §é Tõ Acad Vµo Files .TXT**********------------

;********************

(defun doichu ()

(setvar "cmdecho" 0)

(setvar "cmdecho" 0)

(setvar "osmode" 0)

(if_file2)

;(setq s (getstring "\nFilename <Khong-Ten>: "))

;(if (= s nul) (setq s "Khong-Ten"))

(setq fn (open filename2 "w"))

(setq i 0)

(setq j 1)

(prompt "\n")

(prompt "\Chän C¸c §iÓm Cao §é : ")

(setq ss (ssget (list (cons 0 "Text"))))

(if ss

(progn

(repeat (sslength ss)

(setq ent (entget (ssname ss i)))

(setq nd (cdr (assoc 1 ent)))

(setq ss1 (cdr (assoc 72 ent)))

(setq ss2 (cdr (assoc 73 ent)))

(if (and (= ss1 0) (= ss2 0))

(setq td (cdr (assoc 10 ent)))

(setq td (cdr (assoc 11 ent)))

)

;(setq td1 (cdr (assoc 10 ent)))

(setq Y (cadr td))

(setq X (car td))

(setq z (caddr td))

(write-line (strcat (itoa j)

" "

(rtos X 2 3)

" "

(rtos Y 2 3)

" "

(rtos z 2 3)

" "

nd

) fn)

(setq i (+ i 1))

(setq j (+ j 1))

)

)

)

(close fn)

(setvar "osmode" 191)

(prompt "\n**** Chóc B¹n Thµnh C«ng ***")

(princ)

)

;********************************

;*********

(defun c:XTDT ()

(doichu)

)

;;***************************Mo file

(defun if_file1 (/ name1)

(if (= filename1 nil)

(progn

(setq name1 (getfiled "Më TËp Tin Chøa Sè LiÖu"

(strcat "d:/canhan/TUAN/luu/" "solieu") "txt" 2))

(if name1 (setq filename1 (strcase name1)))

)

(progn

(setq name1 (getfiled "Më TËp Tin Chøa Sè LiÖu"

filename1 "txt" 2))

(if name1 (setq filename1 (strcase name1)))

)

)

)

;****************************Ghi file

(defun if_file2 (/ name2)

(if (= filename2 nil)

(progn

(setq name2 (getfiled "Më TËp Tin Chøa Sè LiÖu"

(strcat "d:/canhan/TUAN/luu/" "solieu") "txt" 1))

(if name2 (setq filename2 (strcase name2)))

)

(progn

(setq name2 (getfiled "L­u TËp Tin Sè LiÖu"

filename2 "txt" 1))

(if name2 (setq filename2 (strcase name2)))

)

)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

có lẽ không ai giup mình được rồi, buồn quá! :unsure:

Hề hề hề,

Chớ có buồn. Phải thú thực là cái file lisp của mấy ông tây này hay thì hay thiệt, nhưng mà khó nhằn quá. Chỉ nội cái việc đọc mà hiểu cho hết cũng đã mệt phờ râu chứ nói chi tới chuyện sửa nó. Giá như bạn cứ nêu cái yêu cầu của bạn và viết một cái lisp mới có nhẽ sẽ dễ hơn là phải sửa của mấy ông Tây. Lisp ta tuy chả hay bằng Tây vì tụi nó học sâu hơn và toàn diện hơn ta, song dù sao nó cũng có thể gỡ rối cho công việc trước mắt bạn ạ. Còn để theo cho kịp mấy ông Tây này thì cánh học mót như mình có mà chờ đến Tết Công gô mất.....

Thôi thì đành ngậm đắng nuốt cay mà dòm cái hay của nó vậy.

Hề hề hề,....

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cd2k44    121

mình thử mà no xuất sang file txt ma khong co j cả

Lisp này mình vẫn dùng.Xuất tốt mà bạn.Bạn gửi mình xem bản vẽ của bạn xem nào

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.652

Lisp này mình vẫn dùng.Xuất tốt mà bạn.Bạn gửi mình xem bản vẽ của bạn xem nào

Đọc code lisp bạn post mình thấy rõ ràng là khác với mục đích của lisp tabcord

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×